about summary refs log tree commit diff
path: root/t
diff options
context:
space:
mode:
Diffstat (limited to 't')
-rw-r--r--t/lib.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/lib.sh b/t/lib.sh
index 567250b..0f346d6 100644
--- a/t/lib.sh
+++ b/t/lib.sh
@@ -28,8 +28,8 @@ check_test() {
 check_same() {
 	msg=$1
 	shift
-	eval "$1" 2>/dev/null 1>&2 >out1 || true
-	eval "$2" 2>/dev/null 1>&2 >out2 || true
+	eval "$1 || true" 2>/dev/null 1>&2 >out1 || true
+	eval "$2 || true" 2>/dev/null 1>&2 >out2 || true
 	diff -u out1 out2 || true
 	check "$msg" cmp out1 out2
 }